<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::Cluster Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_cluster.html">Cluster</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_cluster-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::Cluster Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_cluster_8h_source.html">Cluster.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2695f779e04fce0c6ef7e57eff61ad52"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a2695f779e04fce0c6ef7e57eff61ad52">Cluster</a> ()</td></tr>
<tr class="memdesc:a2695f779e04fce0c6ef7e57eff61ad52"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#a2695f779e04fce0c6ef7e57eff61ad52">More...</a><br /></td></tr>
<tr class="separator:a2695f779e04fce0c6ef7e57eff61ad52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f31e0aacf6ba2fea3757438c639edc2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a6f31e0aacf6ba2fea3757438c639edc2">Cluster</a> (float <a class="el" href="classeic_1_1_cluster.html#afbeb22beb4884e0d579548bd4286ac0d">energy</a>, std::array&lt; float, 3 &gt; <a class="el" href="classeic_1_1_cluster.html#a7b0a5622fb699389b56633855b7e6f8d">position</a>, std::array&lt; float, 6 &gt; <a class="el" href="classeic_1_1_cluster.html#a1d07e859d1d1264d3ac9b53c1899801a">positionError</a>, float <a class="el" href="classeic_1_1_cluster.html#a981a1a7b44b01d71fc019b42eb9311ae">theta</a>, float <a class="el" href="classeic_1_1_cluster.html#a02a8decc70fc09c5410b31aac24f48e2">phi</a>, std::array&lt; float, 3 &gt; <a class="el" href="classeic_1_1_cluster.html#a7d6221c10a63a939abd019e5acd75389">directionError</a>)</td></tr>
<tr class="separator:a6f31e0aacf6ba2fea3757438c639edc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a5b5ed19da2285b269db27fc23e876c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a4a5b5ed19da2285b269db27fc23e876c">Cluster</a> (<a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> *obj)</td></tr>
<tr class="memdesc:a4a5b5ed19da2285b269db27fc23e876c"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a>  <a href="#a4a5b5ed19da2285b269db27fc23e876c">More...</a><br /></td></tr>
<tr class="separator:a4a5b5ed19da2285b269db27fc23e876c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae60949fde61c5c7adbac72481b79f7db"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#ae60949fde61c5c7adbac72481b79f7db">Cluster</a> (const <a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp;other)</td></tr>
<tr class="memdesc:ae60949fde61c5c7adbac72481b79f7db"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#ae60949fde61c5c7adbac72481b79f7db">More...</a><br /></td></tr>
<tr class="separator:ae60949fde61c5c7adbac72481b79f7db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad392fff04d39424772874e5cee81ac2a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#ad392fff04d39424772874e5cee81ac2a">operator=</a> (const <a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp;other)</td></tr>
<tr class="memdesc:ad392fff04d39424772874e5cee81ac2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#ad392fff04d39424772874e5cee81ac2a">More...</a><br /></td></tr>
<tr class="separator:ad392fff04d39424772874e5cee81ac2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef6380d7096c32c68f7beaeac96bb9de"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_cluster.html">Cluster</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#aef6380d7096c32c68f7beaeac96bb9de">clone</a> () const</td></tr>
<tr class="memdesc:aef6380d7096c32c68f7beaeac96bb9de"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#aef6380d7096c32c68f7beaeac96bb9de">More...</a><br /></td></tr>
<tr class="separator:aef6380d7096c32c68f7beaeac96bb9de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b895028337494baa4500f8c594d06f4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a3b895028337494baa4500f8c594d06f4">~Cluster</a> ()</td></tr>
<tr class="memdesc:a3b895028337494baa4500f8c594d06f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#a3b895028337494baa4500f8c594d06f4">More...</a><br /></td></tr>
<tr class="separator:a3b895028337494baa4500f8c594d06f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab391644c6aa3a99bf603325902c383b0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#ab391644c6aa3a99bf603325902c383b0">operator ConstCluster</a> () const</td></tr>
<tr class="memdesc:ab391644c6aa3a99bf603325902c383b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">conversion to const object  <a href="#ab391644c6aa3a99bf603325902c383b0">More...</a><br /></td></tr>
<tr class="separator:ab391644c6aa3a99bf603325902c383b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbeb22beb4884e0d579548bd4286ac0d"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#afbeb22beb4884e0d579548bd4286ac0d">energy</a> () const</td></tr>
<tr class="memdesc:afbeb22beb4884e0d579548bd4286ac0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Energy of the cluster.  <a href="#afbeb22beb4884e0d579548bd4286ac0d">More...</a><br /></td></tr>
<tr class="separator:afbeb22beb4884e0d579548bd4286ac0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b0a5622fb699389b56633855b7e6f8d"><td class="memItemLeft" align="right" valign="top">const std::array&lt; float, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a7b0a5622fb699389b56633855b7e6f8d">position</a> () const</td></tr>
<tr class="memdesc:a7b0a5622fb699389b56633855b7e6f8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Position of the cluster.  <a href="#a7b0a5622fb699389b56633855b7e6f8d">More...</a><br /></td></tr>
<tr class="separator:a7b0a5622fb699389b56633855b7e6f8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a240ba02036b5deeeb1e0d01047b3f570"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a240ba02036b5deeeb1e0d01047b3f570">position</a> (size_t i) const</td></tr>
<tr class="memdesc:a240ba02036b5deeeb1e0d01047b3f570"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the Position of the cluster.  <a href="#a240ba02036b5deeeb1e0d01047b3f570">More...</a><br /></td></tr>
<tr class="separator:a240ba02036b5deeeb1e0d01047b3f570"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d07e859d1d1264d3ac9b53c1899801a"><td class="memItemLeft" align="right" valign="top">const std::array&lt; float, 6 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a1d07e859d1d1264d3ac9b53c1899801a">positionError</a> () const</td></tr>
<tr class="memdesc:a1d07e859d1d1264d3ac9b53c1899801a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Covariance matrix of the position (6 Parameters)  <a href="#a1d07e859d1d1264d3ac9b53c1899801a">More...</a><br /></td></tr>
<tr class="separator:a1d07e859d1d1264d3ac9b53c1899801a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a331d925cc3be98e8b4b60ed51a3a263a"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a331d925cc3be98e8b4b60ed51a3a263a">positionError</a> (size_t i) const</td></tr>
<tr class="memdesc:a331d925cc3be98e8b4b60ed51a3a263a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the Covariance matrix of the position (6 Parameters)  <a href="#a331d925cc3be98e8b4b60ed51a3a263a">More...</a><br /></td></tr>
<tr class="separator:a331d925cc3be98e8b4b60ed51a3a263a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a981a1a7b44b01d71fc019b42eb9311ae"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a981a1a7b44b01d71fc019b42eb9311ae">theta</a> () const</td></tr>
<tr class="memdesc:a981a1a7b44b01d71fc019b42eb9311ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Intrinsic direction of cluster at position - Theta.  <a href="#a981a1a7b44b01d71fc019b42eb9311ae">More...</a><br /></td></tr>
<tr class="separator:a981a1a7b44b01d71fc019b42eb9311ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02a8decc70fc09c5410b31aac24f48e2"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a02a8decc70fc09c5410b31aac24f48e2">phi</a> () const</td></tr>
<tr class="memdesc:a02a8decc70fc09c5410b31aac24f48e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Intrinsic direction of cluster at position - Phi.  <a href="#a02a8decc70fc09c5410b31aac24f48e2">More...</a><br /></td></tr>
<tr class="separator:a02a8decc70fc09c5410b31aac24f48e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d6221c10a63a939abd019e5acd75389"><td class="memItemLeft" align="right" valign="top">const std::array&lt; float, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a7d6221c10a63a939abd019e5acd75389">directionError</a> () const</td></tr>
<tr class="memdesc:a7d6221c10a63a939abd019e5acd75389"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Covariance matrix of the direction (3 Parameters)  <a href="#a7d6221c10a63a939abd019e5acd75389">More...</a><br /></td></tr>
<tr class="separator:a7d6221c10a63a939abd019e5acd75389"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b692d1dbf1f1fe16a738fd7892187a9"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a5b692d1dbf1f1fe16a738fd7892187a9">directionError</a> (size_t i) const</td></tr>
<tr class="memdesc:a5b692d1dbf1f1fe16a738fd7892187a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the Covariance matrix of the direction (3 Parameters)  <a href="#a5b692d1dbf1f1fe16a738fd7892187a9">More...</a><br /></td></tr>
<tr class="separator:a5b692d1dbf1f1fe16a738fd7892187a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63939e334bf469809694d3eb164590bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a63939e334bf469809694d3eb164590bf">energy</a> (float value)</td></tr>
<tr class="memdesc:a63939e334bf469809694d3eb164590bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Energy of the cluster.  <a href="#a63939e334bf469809694d3eb164590bf">More...</a><br /></td></tr>
<tr class="separator:a63939e334bf469809694d3eb164590bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fe64f4d84d64993ddc2f2c48da05907"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a5fe64f4d84d64993ddc2f2c48da05907">position</a> (std::array&lt; float, 3 &gt; value)</td></tr>
<tr class="memdesc:a5fe64f4d84d64993ddc2f2c48da05907"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Position of the cluster.  <a href="#a5fe64f4d84d64993ddc2f2c48da05907">More...</a><br /></td></tr>
<tr class="separator:a5fe64f4d84d64993ddc2f2c48da05907"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a3f2cbc8361337a0c991fbe6026cc6c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a1a3f2cbc8361337a0c991fbe6026cc6c">position</a> (size_t i, float value)</td></tr>
<tr class="separator:a1a3f2cbc8361337a0c991fbe6026cc6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4d3bf129cedba27fef17ddc585c7233"><td class="memItemLeft" align="right" valign="top">std::array&lt; float, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#af4d3bf129cedba27fef17ddc585c7233">position</a> ()</td></tr>
<tr class="memdesc:af4d3bf129cedba27fef17ddc585c7233"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reference to Position of the cluster.  <a href="#af4d3bf129cedba27fef17ddc585c7233">More...</a><br /></td></tr>
<tr class="separator:af4d3bf129cedba27fef17ddc585c7233"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c5b0fa47e252a22e6db8fc6c41440bb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a7c5b0fa47e252a22e6db8fc6c41440bb">positionError</a> (std::array&lt; float, 6 &gt; value)</td></tr>
<tr class="memdesc:a7c5b0fa47e252a22e6db8fc6c41440bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Covariance matrix of the position (6 Parameters)  <a href="#a7c5b0fa47e252a22e6db8fc6c41440bb">More...</a><br /></td></tr>
<tr class="separator:a7c5b0fa47e252a22e6db8fc6c41440bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc5714c5a8488d1ea420ddaddfd20907"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#acc5714c5a8488d1ea420ddaddfd20907">positionError</a> (size_t i, float value)</td></tr>
<tr class="separator:acc5714c5a8488d1ea420ddaddfd20907"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35699194339ea272f7655fde2059e364"><td class="memItemLeft" align="right" valign="top">std::array&lt; float, 6 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a35699194339ea272f7655fde2059e364">positionError</a> ()</td></tr>
<tr class="memdesc:a35699194339ea272f7655fde2059e364"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reference to Covariance matrix of the position (6 Parameters)  <a href="#a35699194339ea272f7655fde2059e364">More...</a><br /></td></tr>
<tr class="separator:a35699194339ea272f7655fde2059e364"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaadd7ff539d0a85ff1b545bf2a443c02"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#aaadd7ff539d0a85ff1b545bf2a443c02">theta</a> (float value)</td></tr>
<tr class="memdesc:aaadd7ff539d0a85ff1b545bf2a443c02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Intrinsic direction of cluster at position - Theta.  <a href="#aaadd7ff539d0a85ff1b545bf2a443c02">More...</a><br /></td></tr>
<tr class="separator:aaadd7ff539d0a85ff1b545bf2a443c02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdb2417784a9e9a5face23dcb17478af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#abdb2417784a9e9a5face23dcb17478af">phi</a> (float value)</td></tr>
<tr class="memdesc:abdb2417784a9e9a5face23dcb17478af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Intrinsic direction of cluster at position - Phi.  <a href="#abdb2417784a9e9a5face23dcb17478af">More...</a><br /></td></tr>
<tr class="separator:abdb2417784a9e9a5face23dcb17478af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c3fbcf8b9215feccfd03a2c322177d0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a2c3fbcf8b9215feccfd03a2c322177d0">directionError</a> (std::array&lt; float, 3 &gt; value)</td></tr>
<tr class="memdesc:a2c3fbcf8b9215feccfd03a2c322177d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Covariance matrix of the direction (3 Parameters)  <a href="#a2c3fbcf8b9215feccfd03a2c322177d0">More...</a><br /></td></tr>
<tr class="separator:a2c3fbcf8b9215feccfd03a2c322177d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1389165fb0c825b4b8ec95a921094427"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a1389165fb0c825b4b8ec95a921094427">directionError</a> (size_t i, float value)</td></tr>
<tr class="separator:a1389165fb0c825b4b8ec95a921094427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c2246c61524e06d8f2aef53eadf4d52"><td class="memItemLeft" align="right" valign="top">std::array&lt; float, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a1c2246c61524e06d8f2aef53eadf4d52">directionError</a> ()</td></tr>
<tr class="memdesc:a1c2246c61524e06d8f2aef53eadf4d52"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reference to Covariance matrix of the direction (3 Parameters)  <a href="#a1c2246c61524e06d8f2aef53eadf4d52">More...</a><br /></td></tr>
<tr class="separator:a1c2246c61524e06d8f2aef53eadf4d52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8515e78f2ef0ce39924da67da1e06ae9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a8515e78f2ef0ce39924da67da1e06ae9">addclusters</a> (::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a>)</td></tr>
<tr class="separator:a8515e78f2ef0ce39924da67da1e06ae9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe98324c2e1ffd94e349ad9ad971b2e4"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#abe98324c2e1ffd94e349ad9ad971b2e4">clusters_size</a> () const</td></tr>
<tr class="separator:abe98324c2e1ffd94e349ad9ad971b2e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac23d9384340f5f42b7cbf316c720c024"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#ac23d9384340f5f42b7cbf316c720c024">clusters</a> (unsigned int) const</td></tr>
<tr class="separator:ac23d9384340f5f42b7cbf316c720c024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58262902efaf71b0861780d840643c96"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a58262902efaf71b0861780d840643c96">clusters_begin</a> () const</td></tr>
<tr class="separator:a58262902efaf71b0861780d840643c96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5955fe4108d663b2e0d576e6969b44c6"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a5955fe4108d663b2e0d576e6969b44c6">clusters_end</a> () const</td></tr>
<tr class="separator:a5955fe4108d663b2e0d576e6969b44c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d22dfdec462f41cf6b843de2bb3d674"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a1d22dfdec462f41cf6b843de2bb3d674">clusters</a> () const</td></tr>
<tr class="separator:a1d22dfdec462f41cf6b843de2bb3d674"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4d28222f4d0a69f1651275e8c94bf86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#ae4d28222f4d0a69f1651275e8c94bf86">addhits</a> (::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a>)</td></tr>
<tr class="separator:ae4d28222f4d0a69f1651275e8c94bf86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accca756c00d1bd359ae9b275612b74d3"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#accca756c00d1bd359ae9b275612b74d3">hits_size</a> () const</td></tr>
<tr class="separator:accca756c00d1bd359ae9b275612b74d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af106c70952337e6a4b49c3340677cc0d"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#af106c70952337e6a4b49c3340677cc0d">hits</a> (unsigned int) const</td></tr>
<tr class="separator:af106c70952337e6a4b49c3340677cc0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3abe8c57662c3730a2d836fed5e8775b"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a3abe8c57662c3730a2d836fed5e8775b">hits_begin</a> () const</td></tr>
<tr class="separator:a3abe8c57662c3730a2d836fed5e8775b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfbccc8ccc3a179d34eb2a6a47fb1ca3"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#acfbccc8ccc3a179d34eb2a6a47fb1ca3">hits_end</a> () const</td></tr>
<tr class="separator:acfbccc8ccc3a179d34eb2a6a47fb1ca3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a567a7de4fa56bca1d76a2e6dad666170"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a567a7de4fa56bca1d76a2e6dad666170">hits</a> () const</td></tr>
<tr class="separator:a567a7de4fa56bca1d76a2e6dad666170"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb39f9e0299e8edabbc22949efb11a56"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#adb39f9e0299e8edabbc22949efb11a56">isAvailable</a> () const</td></tr>
<tr class="memdesc:adb39f9e0299e8edabbc22949efb11a56"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#adb39f9e0299e8edabbc22949efb11a56">More...</a><br /></td></tr>
<tr class="separator:adb39f9e0299e8edabbc22949efb11a56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad73f7b03b80aa0605b02b0c446b6cebe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#ad73f7b03b80aa0605b02b0c446b6cebe">unlink</a> ()</td></tr>
<tr class="memdesc:ad73f7b03b80aa0605b02b0c446b6cebe"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> instance  <a href="#ad73f7b03b80aa0605b02b0c446b6cebe">More...</a><br /></td></tr>
<tr class="separator:ad73f7b03b80aa0605b02b0c446b6cebe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec4310b2f350e4a609c5e77cd7127603"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#aec4310b2f350e4a609c5e77cd7127603">operator==</a> (const <a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp;other) const</td></tr>
<tr class="separator:aec4310b2f350e4a609c5e77cd7127603"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11a684bee1de4e7c41c48a28908615b5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a11a684bee1de4e7c41c48a28908615b5">operator==</a> (const <a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp;other) const</td></tr>
<tr class="separator:a11a684bee1de4e7c41c48a28908615b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21ab6d19e820a56bb12a680f4c802142"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a21ab6d19e820a56bb12a680f4c802142">operator&lt;</a> (const <a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp;other) const</td></tr>
<tr class="separator:a21ab6d19e820a56bb12a680f4c802142"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1e0b5ac934e817da8a2f87db9ccb5bb"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#af1e0b5ac934e817da8a2f87db9ccb5bb">id</a> () const</td></tr>
<tr class="separator:af1e0b5ac934e817da8a2f87db9ccb5bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08f82fb9b3144d6e4d9cb0071b68759c"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster.html#a08f82fb9b3144d6e4d9cb0071b68759c">getObjectID</a> () const</td></tr>
<tr class="separator:a08f82fb9b3144d6e4d9cb0071b68759c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC cluster </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_cluster_8h_source.html#l00029">29</a> of file <a class="el" href="_cluster_8h_source.html">Cluster.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2695f779e04fce0c6ef7e57eff61ad52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2695f779e04fce0c6ef7e57eff61ad52">&#9670;&nbsp;</a></span>Cluster() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::Cluster::Cluster </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00016">16</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

</div>
</div>
<a id="a6f31e0aacf6ba2fea3757438c639edc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f31e0aacf6ba2fea3757438c639edc2">&#9670;&nbsp;</a></span>Cluster() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::Cluster::Cluster </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>energy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; float, 3 &gt;&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; float, 6 &gt;&#160;</td>
          <td class="paramname"><em>positionError</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>theta</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>phi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; float, 3 &gt;&#160;</td>
          <td class="paramname"><em>directionError</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00020">20</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00022">eic::ClusterData::directionError</a>, <a class="el" href="_cluster_8cc_source.html#l00060">directionError()</a>, <a class="el" href="_cluster_data_8h_source.html#l00017">eic::ClusterData::energy</a>, <a class="el" href="_cluster_8cc_source.html#l00053">energy()</a>, <a class="el" href="_cluster_data_8h_source.html#l00021">eic::ClusterData::phi</a>, <a class="el" href="_cluster_8cc_source.html#l00059">phi()</a>, <a class="el" href="_cluster_data_8h_source.html#l00018">eic::ClusterData::position</a>, <a class="el" href="_cluster_8cc_source.html#l00054">position()</a>, <a class="el" href="_cluster_data_8h_source.html#l00019">eic::ClusterData::positionError</a>, <a class="el" href="_cluster_8cc_source.html#l00056">positionError()</a>, <a class="el" href="_cluster_data_8h_source.html#l00020">eic::ClusterData::theta</a>, and <a class="el" href="_cluster_8cc_source.html#l00058">theta()</a>.</p>

</div>
</div>
<a id="a4a5b5ed19da2285b269db27fc23e876c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a5b5ed19da2285b269db27fc23e876c">&#9670;&nbsp;</a></span>Cluster() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::Cluster::Cluster </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00040">40</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

</div>
</div>
<a id="ae60949fde61c5c7adbac72481b79f7db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae60949fde61c5c7adbac72481b79f7db">&#9670;&nbsp;</a></span>Cluster() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::Cluster::Cluster </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00030">30</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

</div>
</div>
<a id="a3b895028337494baa4500f8c594d06f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b895028337494baa4500f8c594d06f4">&#9670;&nbsp;</a></span>~Cluster()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::Cluster::~Cluster </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00048">48</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8515e78f2ef0ce39924da67da1e06ae9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8515e78f2ef0ce39924da67da1e06ae9">&#9670;&nbsp;</a></span>addclusters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::addclusters </td>
          <td>(</td>
          <td class="paramtype">::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a>&#160;</td>
          <td class="paramname"><em>component</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00078">78</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_data_8h_source.html#l00025">eic::ClusterData::clusters_end</a>, <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00034">eic::ClusterObj::m_clusters</a>.</p>

</div>
</div>
<a id="ae4d28222f4d0a69f1651275e8c94bf86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4d28222f4d0a69f1651275e8c94bf86">&#9670;&nbsp;</a></span>addhits()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::addhits </td>
          <td>(</td>
          <td class="paramtype">::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a>&#160;</td>
          <td class="paramname"><em>component</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00114">114</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00027">eic::ClusterData::hits_end</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">eic::ClusterObj::m_hits</a>.</p>

</div>
</div>
<a id="aef6380d7096c32c68f7beaeac96bb9de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef6380d7096c32c68f7beaeac96bb9de">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_cluster.html">Cluster</a> eic::Cluster::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00044">44</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

</div>
</div>
<a id="ac23d9384340f5f42b7cbf316c720c024"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac23d9384340f5f42b7cbf316c720c024">&#9670;&nbsp;</a></span>clusters() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> eic::Cluster::clusters </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00099">99</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_data_8h_source.html#l00024">eic::ClusterData::clusters_begin</a>, <a class="el" href="_cluster_8cc_source.html#l00095">clusters_size()</a>, <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00034">eic::ClusterObj::m_clusters</a>.</p>

</div>
</div>
<a id="a1d22dfdec462f41cf6b843de2bb3d674"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d22dfdec462f41cf6b843de2bb3d674">&#9670;&nbsp;</a></span>clusters() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt; eic::Cluster::clusters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00106">106</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_data_8h_source.html#l00024">eic::ClusterData::clusters_begin</a>, <a class="el" href="_cluster_data_8h_source.html#l00025">eic::ClusterData::clusters_end</a>, <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00034">eic::ClusterObj::m_clusters</a>.</p>

</div>
</div>
<a id="a58262902efaf71b0861780d840643c96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58262902efaf71b0861780d840643c96">&#9670;&nbsp;</a></span>clusters_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator eic::Cluster::clusters_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00083">83</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_data_8h_source.html#l00024">eic::ClusterData::clusters_begin</a>, <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00034">eic::ClusterObj::m_clusters</a>.</p>

</div>
</div>
<a id="a5955fe4108d663b2e0d576e6969b44c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5955fe4108d663b2e0d576e6969b44c6">&#9670;&nbsp;</a></span>clusters_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator eic::Cluster::clusters_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00089">89</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_data_8h_source.html#l00025">eic::ClusterData::clusters_end</a>, <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00034">eic::ClusterObj::m_clusters</a>.</p>

</div>
</div>
<a id="abe98324c2e1ffd94e349ad9ad971b2e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe98324c2e1ffd94e349ad9ad971b2e4">&#9670;&nbsp;</a></span>clusters_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::Cluster::clusters_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00095">95</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_data_8h_source.html#l00024">eic::ClusterData::clusters_begin</a>, <a class="el" href="_cluster_data_8h_source.html#l00025">eic::ClusterData::clusters_end</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00099">clusters()</a>.</p>

</div>
</div>
<a id="a7d6221c10a63a939abd019e5acd75389"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d6221c10a63a939abd019e5acd75389">&#9670;&nbsp;</a></span>directionError() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, 3 &gt; &amp; eic::Cluster::directionError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Covariance matrix of the direction (3 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00060">60</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00022">eic::ClusterData::directionError</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">Cluster()</a>.</p>

</div>
</div>
<a id="a5b692d1dbf1f1fe16a738fd7892187a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b692d1dbf1f1fe16a738fd7892187a9">&#9670;&nbsp;</a></span>directionError() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::Cluster::directionError </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the Covariance matrix of the direction (3 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00061">61</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00022">eic::ClusterData::directionError</a>.</p>

</div>
</div>
<a id="a2c3fbcf8b9215feccfd03a2c322177d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c3fbcf8b9215feccfd03a2c322177d0">&#9670;&nbsp;</a></span>directionError() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::directionError </td>
          <td>(</td>
          <td class="paramtype">std::array&lt; float, 3 &gt;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Covariance matrix of the direction (3 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00073">73</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00022">eic::ClusterData::directionError</a>.</p>

</div>
</div>
<a id="a1389165fb0c825b4b8ec95a921094427"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1389165fb0c825b4b8ec95a921094427">&#9670;&nbsp;</a></span>directionError() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::directionError </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00074">74</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00022">eic::ClusterData::directionError</a>.</p>

</div>
</div>
<a id="a1c2246c61524e06d8f2aef53eadf4d52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c2246c61524e06d8f2aef53eadf4d52">&#9670;&nbsp;</a></span>directionError() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt; float, 3 &gt; &amp; eic::Cluster::directionError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reference to Covariance matrix of the direction (3 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00075">75</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00022">eic::ClusterData::directionError</a>.</p>

</div>
</div>
<a id="afbeb22beb4884e0d579548bd4286ac0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbeb22beb4884e0d579548bd4286ac0d">&#9670;&nbsp;</a></span>energy() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::Cluster::energy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Energy of the cluster. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00053">53</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00017">eic::ClusterData::energy</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">Cluster()</a>.</p>

</div>
</div>
<a id="a63939e334bf469809694d3eb164590bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63939e334bf469809694d3eb164590bf">&#9670;&nbsp;</a></span>energy() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::energy </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Energy of the cluster. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00064">64</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00017">eic::ClusterData::energy</a>.</p>

</div>
</div>
<a id="a08f82fb9b3144d6e4d9cb0071b68759c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08f82fb9b3144d6e4d9cb0071b68759c">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::Cluster::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00162">162</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8h_source.html#l00139">id()</a>.</p>

</div>
</div>
<a id="af106c70952337e6a4b49c3340677cc0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af106c70952337e6a4b49c3340677cc0d">&#9670;&nbsp;</a></span>hits() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> eic::Cluster::hits </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00135">135</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00026">eic::ClusterData::hits_begin</a>, <a class="el" href="_cluster_8cc_source.html#l00131">hits_size()</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">eic::ClusterObj::m_hits</a>.</p>

</div>
</div>
<a id="a567a7de4fa56bca1d76a2e6dad666170"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a567a7de4fa56bca1d76a2e6dad666170">&#9670;&nbsp;</a></span>hits() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt; eic::Cluster::hits </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00142">142</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00026">eic::ClusterData::hits_begin</a>, <a class="el" href="_cluster_data_8h_source.html#l00027">eic::ClusterData::hits_end</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">eic::ClusterObj::m_hits</a>.</p>

</div>
</div>
<a id="a3abe8c57662c3730a2d836fed5e8775b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3abe8c57662c3730a2d836fed5e8775b">&#9670;&nbsp;</a></span>hits_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt;::const_iterator eic::Cluster::hits_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00119">119</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00026">eic::ClusterData::hits_begin</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">eic::ClusterObj::m_hits</a>.</p>

</div>
</div>
<a id="acfbccc8ccc3a179d34eb2a6a47fb1ca3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfbccc8ccc3a179d34eb2a6a47fb1ca3">&#9670;&nbsp;</a></span>hits_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt;::const_iterator eic::Cluster::hits_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00125">125</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00027">eic::ClusterData::hits_end</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">eic::ClusterObj::m_hits</a>.</p>

</div>
</div>
<a id="accca756c00d1bd359ae9b275612b74d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accca756c00d1bd359ae9b275612b74d3">&#9670;&nbsp;</a></span>hits_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::Cluster::hits_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00131">131</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00026">eic::ClusterData::hits_begin</a>, and <a class="el" href="_cluster_data_8h_source.html#l00027">eic::ClusterData::hits_end</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00135">hits()</a>.</p>

</div>
</div>
<a id="af1e0b5ac934e817da8a2f87db9ccb5bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1e0b5ac934e817da8a2f87db9ccb5bb">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::Cluster::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8h_source.html#l00139">139</a> of file <a class="el" href="_cluster_8h_source.html">Cluster.h</a>.</p>

<p class="reference">References <a class="el" href="_cluster_8cc_source.html#l00162">getObjectID()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="adb39f9e0299e8edabbc22949efb11a56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb39f9e0299e8edabbc22949efb11a56">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::Cluster::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00155">155</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

</div>
</div>
<a id="ab391644c6aa3a99bf603325902c383b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab391644c6aa3a99bf603325902c383b0">&#9670;&nbsp;</a></span>operator ConstCluster()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::Cluster::operator <a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>conversion to const object </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00051">51</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

</div>
</div>
<a id="a21ab6d19e820a56bb12a680f4c802142"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21ab6d19e820a56bb12a680f4c802142">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::Cluster::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8h_source.html#l00137">137</a> of file <a class="el" href="_cluster_8h_source.html">Cluster.h</a>.</p>

</div>
</div>
<a id="ad392fff04d39424772874e5cee81ac2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad392fff04d39424772874e5cee81ac2a">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp; eic::Cluster::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00034">34</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

</div>
</div>
<a id="aec4310b2f350e4a609c5e77cd7127603"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec4310b2f350e4a609c5e77cd7127603">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::Cluster::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8h_source.html#l00133">133</a> of file <a class="el" href="_cluster_8h_source.html">Cluster.h</a>.</p>

</div>
</div>
<a id="a11a684bee1de4e7c41c48a28908615b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11a684bee1de4e7c41c48a28908615b5">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::Cluster::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00169">169</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

</div>
</div>
<a id="a02a8decc70fc09c5410b31aac24f48e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02a8decc70fc09c5410b31aac24f48e2">&#9670;&nbsp;</a></span>phi() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::Cluster::phi </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Intrinsic direction of cluster at position - Phi. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00059">59</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00021">eic::ClusterData::phi</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">Cluster()</a>.</p>

</div>
</div>
<a id="abdb2417784a9e9a5face23dcb17478af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdb2417784a9e9a5face23dcb17478af">&#9670;&nbsp;</a></span>phi() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::phi </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Intrinsic direction of cluster at position - Phi. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00072">72</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00021">eic::ClusterData::phi</a>.</p>

</div>
</div>
<a id="a7b0a5622fb699389b56633855b7e6f8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b0a5622fb699389b56633855b7e6f8d">&#9670;&nbsp;</a></span>position() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, 3 &gt; &amp; eic::Cluster::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Position of the cluster. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00054">54</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00018">eic::ClusterData::position</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">Cluster()</a>.</p>

</div>
</div>
<a id="a240ba02036b5deeeb1e0d01047b3f570"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a240ba02036b5deeeb1e0d01047b3f570">&#9670;&nbsp;</a></span>position() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::Cluster::position </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the Position of the cluster. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00055">55</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00018">eic::ClusterData::position</a>.</p>

</div>
</div>
<a id="a5fe64f4d84d64993ddc2f2c48da05907"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fe64f4d84d64993ddc2f2c48da05907">&#9670;&nbsp;</a></span>position() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::position </td>
          <td>(</td>
          <td class="paramtype">std::array&lt; float, 3 &gt;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Position of the cluster. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00065">65</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00018">eic::ClusterData::position</a>.</p>

</div>
</div>
<a id="a1a3f2cbc8361337a0c991fbe6026cc6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a3f2cbc8361337a0c991fbe6026cc6c">&#9670;&nbsp;</a></span>position() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::position </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00066">66</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00018">eic::ClusterData::position</a>.</p>

</div>
</div>
<a id="af4d3bf129cedba27fef17ddc585c7233"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4d3bf129cedba27fef17ddc585c7233">&#9670;&nbsp;</a></span>position() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt; float, 3 &gt; &amp; eic::Cluster::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reference to Position of the cluster. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00067">67</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00018">eic::ClusterData::position</a>.</p>

</div>
</div>
<a id="a1d07e859d1d1264d3ac9b53c1899801a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d07e859d1d1264d3ac9b53c1899801a">&#9670;&nbsp;</a></span>positionError() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, 6 &gt; &amp; eic::Cluster::positionError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Covariance matrix of the position (6 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00056">56</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00019">eic::ClusterData::positionError</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">Cluster()</a>.</p>

</div>
</div>
<a id="a331d925cc3be98e8b4b60ed51a3a263a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a331d925cc3be98e8b4b60ed51a3a263a">&#9670;&nbsp;</a></span>positionError() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::Cluster::positionError </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the Covariance matrix of the position (6 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00057">57</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00019">eic::ClusterData::positionError</a>.</p>

</div>
</div>
<a id="a7c5b0fa47e252a22e6db8fc6c41440bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c5b0fa47e252a22e6db8fc6c41440bb">&#9670;&nbsp;</a></span>positionError() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::positionError </td>
          <td>(</td>
          <td class="paramtype">std::array&lt; float, 6 &gt;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Covariance matrix of the position (6 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00068">68</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00019">eic::ClusterData::positionError</a>.</p>

</div>
</div>
<a id="acc5714c5a8488d1ea420ddaddfd20907"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc5714c5a8488d1ea420ddaddfd20907">&#9670;&nbsp;</a></span>positionError() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::positionError </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00069">69</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00019">eic::ClusterData::positionError</a>.</p>

</div>
</div>
<a id="a35699194339ea272f7655fde2059e364"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35699194339ea272f7655fde2059e364">&#9670;&nbsp;</a></span>positionError() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt; float, 6 &gt; &amp; eic::Cluster::positionError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reference to Covariance matrix of the position (6 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00070">70</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00019">eic::ClusterData::positionError</a>.</p>

</div>
</div>
<a id="a981a1a7b44b01d71fc019b42eb9311ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a981a1a7b44b01d71fc019b42eb9311ae">&#9670;&nbsp;</a></span>theta() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::Cluster::theta </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Intrinsic direction of cluster at position - Theta. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00058">58</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00020">eic::ClusterData::theta</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">Cluster()</a>.</p>

</div>
</div>
<a id="aaadd7ff539d0a85ff1b545bf2a443c02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaadd7ff539d0a85ff1b545bf2a443c02">&#9670;&nbsp;</a></span>theta() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::theta </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Intrinsic direction of cluster at position - Theta. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8cc_source.html#l00071">71</a> of file <a class="el" href="_cluster_8cc_source.html">Cluster.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00020">eic::ClusterData::theta</a>.</p>

</div>
</div>
<a id="ad73f7b03b80aa0605b02b0c446b6cebe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad73f7b03b80aa0605b02b0c446b6cebe">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::Cluster::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_cluster_8h_source.html#l00131">131</a> of file <a class="el" href="_cluster_8h_source.html">Cluster.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_cluster_8h_source.html">Cluster.h</a></li>
<li>src/<a class="el" href="_cluster_8cc_source.html">Cluster.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
